# PredefinedCompressionTypes class

## Constructors

PredefinedCompressionTypes()

## Properties

hashCode → int
  The hash code for this object.
  no setter inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Static Methods

binarizedOnlyCompressionTypes() → List<TiffCompression>
  return A list of compression types, which are compatible only with binarized images.
binarizedOnlyLegacyFilters() → List<ImageFilterType>
binarizedOnlyParametricFilters() → List<Type>